Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)

More
5 months 1 week ago #155570 by robertofranchi
robertofranchi created the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
Hi.
I have 2 twins installation (production under linux and stage under windows). In each installation, after the mentioned upgrade, a future (may be more then one) doesn't work.

I used comfort update and the process go well... but, after the restart, if I click on editor button, (see funzione.png image) in the bottom of page, I receive this error (errore.png).

The address appear wrong (the same error in windows and linux environment)

Below the screenshot of process updating (prerequisiti1.png)
and the register changes

Changes from 2.64.7 Build 170404 to 2.65.0 Build 170502 --- Legend: + New feature, # Updated feature, - Bug fix
-New feature: Add massive set-expiry to survey-list (Tõnis Ormisson)
-New feature: LDAP auth group filtering, support for $userdn (Enrico Polesel)
-New feature: Option to reset response ID when copying a survey (Carsten Schmitz)
-Fixed issue #12154: production CSS files contains info about *.css.map (LouisGac)
-Fixed issue #12179: Missing translation in panel integration settings (Carsten Schmitz)
-Fixed issue #12235: the template model of the administration interface changes the color of a template button (LouisGac)
-Fixed issue #12237: Tips are missing in "General options" (Tõnis Ormisson)
-Fixed issue #12263: Error when uploading additional file in template editor (Carsten Schmitz)
-Fixed issue #12267: quotas quick report (export to .csv) is missing (LouisGac)
-Fixed issue #12270: [security] XSS Vulnerability (Matthew)
-Fixed issue: IP address always saved even if not activated in survey settings (LouisGac)
-Fixed issue: wrong url generation for survey new test, that could lead to session problem when combined with wrong resources url (eg: favicon). (LouisGac)
-Fixed wrong URL at instructions for adding your own logo to a template (Marcel Minke)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Croatian by kmilojev
#Updated translation: Czech by jelen1
#Updated translation: Finnish by tigger, jeskiv
#Updated translation: French (France) by arnaud21
#Updated translation: German by actxcellence, c_schmitz
#Updated translation: German (Informal) by actxcellence, c_schmitz, Rolime
#Updated translation: Hungarian by fcsanyi, kkd
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Portuguese (Brazil) by holch, mauriciofurtado
#Updated translation: Portuguese (Portugal) by holch, devUSIT, samarta
#Updated translation: Russian by ddrmoscow, c0der, vipgroup
#Updated translation: Valencian by joamuran
Changes from 2.64.7 Build 170404 to 2.65.1 Build 170522 --- Legend: + New feature, # Updated feature, - Bug fix
-Fixed issue #12258: Incorrect date validation when using mm-yyyy dateformat (Olle Haerstedt)
-Fixed issue #12371: 5-point array question with semantic differential has bold font on left side and normal font on right side (LouisGac)
-Fixed issue #12372: Unsuitable CAPTCHA (Carsten Schmitz)
-Fixed issue #12379: Audit Plugin: Property "PluginDynamic.reason" is not defined on Response Table Import (Carsten Schmitz)
-Fixed issue: [security] Weakness in survey import code replacement (Carsten Schmitz)
#Updated translation: Arabic by DeveloperChris
#Updated translation: Bosnian by dichteros
#Updated translation: Catalan by qualitatuvic
#Updated translation: Chinese (Hong Kong) (Traditional) by oc25
#Updated translation: Dutch by Han
#Updated translation: Dutch (Informal) by Han
#Updated translation: Finnish by jeskiv
#Updated translation: French (France) by arnaud21
#Updated translation: German by c_schmitz
#Updated translation: German (Informal) by c_schmitz
#Updated translation: Hungarian by kkd
#Updated translation: Indonesian by c_schmitz, ysulistya, radhwaw
#Updated translation: Italian by lfanfoni
#Updated translation: Italian (Informal) by lfanfoni
#Updated translation: Japanese by nomoto
#Updated translation: Norwegian (Bokmål) by pmonstad
#Updated translation: Norwegian (Nynorsk) by pmonstad
#Updated translation: Polish by elissa
#Updated translation: Polish (Informal) by elissa
#Updated translation: Portuguese (Brazil) by femariso, mauriciofurtado
#Updated translation: Portuguese (Portugal) by c_schmitz, samarta
#Updated translation: Thai by tomzt
Changes from 2.64.7 Build 170404 to 2.65.2 Build 170606 --- Legend: + New feature, # Updated feature, - Bug fix
-New feature: Add some collapse feature to remotecontrol function list (Denis Chenu)
-New feature: RemoteControl : allow to get all attributes in get function (Denis Chenu)
-Fixed issue #12368: RemoteControl: properties that are available are not shown (Denis Chenu)
-Fixed issue #12372: Unsuitable CAPTCHA (markusfluer)
-Fixed issue #12432: Reflected XSS in Notifications (thanks to mrbreaker) (Denis Chenu)
-Fixed issue #12433: [security] Reflected XSS (Thanks to mrbreaker) (Denis Chenu)
-Fixed issue #12436: [security] Potential SQL injection through Notifications (Denis Chenu)
-Fixed issue #12450: DataEntry not opening with array filter questions (Tõnis Ormisson)
-Fixed issue #12452: Numeric vars are treated as string during comparison (Carsten Schmitz)
-Fixed issue: Saveall display even if completed (ImperatorTheo)
#Updated translation: Catalan by qualitatuvic
#Updated translation: Indonesian by radhwaw
#Updated translation: Portuguese (Brazil) by mauriciofurtado
#Updated translation: Portuguese (Portugal) by samarta
#Updated translation: Spanish (Chile) by jrojas
#Updated translation: Turkish by kayazeren


All the directory and file are writeble (see image prerequisiti2.png)

The system then create a backup (see image prerequisiti3.png)

but after the regular closing of process the errorabove mentioned appear



Do you have some suggestions?

Can you help me?
Attachments:

Please Log in to join the conversation.

More
5 months 1 week ago #155573 by LouisGac
LouisGac replied the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
ok performing a test from 170404 right now

Please Log in to join the conversation.

More
5 months 1 week ago #155577 by robertofranchi
robertofranchi replied the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
We have done...
the problem persist again..

The new URL that appear after the new installation is

limesurvey.valoreformazione.it/index.php.../gid/0/qid/0/lang/it

Please Log in to join the conversation.

More
5 months 1 week ago #155580 by LouisGac
LouisGac replied the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
Ok I've done a test and couldn't reproduce. Also your report is not very clear, so maybe I misunderstood something. Please provide clear steps to reproduce.

Please Log in to join the conversation.

More
5 months 1 week ago #155596 by LouisGac
LouisGac replied the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
or maybe just attach the picture "funzionne" (right now it's 404), because I don't understand on which link you click to popup the editor.

Please Log in to join the conversation.

More
5 months 1 week ago #155598 by LouisGac
LouisGac replied the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
ok I get it: you're using by default HTML editor in popup mode, and you click on the editor link from the email template editor... having the url in get mode.

I still can't reproduce...

As a quick fix, I would suggest you to turn HTML editor in inline mode: in Configuration -> Global Settings, tabulation 'General', switch "Default HTML editor mode" to "Inline"

Please Log in to join the conversation.

More
5 months 1 week ago #155599 by robertofranchi
robertofranchi replied the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
Hi.
Attached you'll find all the procedure that I did, step by step.

I have tryied again to rollback at previous version and reinstall again, but the system is always not working.


The procedure that doesn't work is "Mail template", when you try to open editpopup.

Now, before and after the update, the link called is the same but the editorpopup button gives a 404 Error


If you want I can try to give the complete structure of limesurvey application to understand if somethings is deleted during the process

Best regard

For each others question write me...
Attachments:

Please Log in to join the conversation.

More
5 months 1 week ago #155602 by LouisGac
LouisGac replied the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
I have an installation with:

- Get Url (index.php?r=...)
- HTML editor in popup by conf
- Italian for the survey

When I go to email template, italian tab, the link I have to the editor is the same as you:
index.php?r=admin/htmleditor_pop/sa/index/name/email_invitation_it/text/Corpo%20della%20mail%20di%20invito:(it)/type/email-invitation/action/editemailtemplates/sid/676688/gid/0/qid/0/lang/it

and it works like a charm.

We didn't touched that url generation since years. It's then no surprising that you still have the bug when reverting your update: your problem is just not related to your limeSurvey update, but to another change, probably in your server configuration.

As I suggested you before, you can solve this problem easily by the switching the editor mode by "In Line"

Please Log in to join the conversation.

More
5 months 1 week ago #155606 by robertofranchi
robertofranchi replied the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
Hi.
I've tried to select the modality as POP-UP or INLINE but nothing change (the stage installation is new and done in may 2017)

I think that something has been deleted during the update... or internal address has been changed...

As show in doc file (that I joint again) before the update (also after the roolback) the editor works.
Also no difference is present when I select INLINE or POPUP modality in property

.. is just after the update that the problem arise...

An additional information related but I don't know if it is connected... the KFinder doesn't work with the last version of Chrome & Firefox. I use Maxthon to edit the logo in the mail... this happens with more PC on the same installation... when use Chrome or Firefox if I try to open KFinder it frozee... if I try with Maxthon it works.

What I can do to try?
Can you send me the list of the file envolved in this procedure to check its?
Best regards
Attachments:

Please Log in to join the conversation.

More
5 months 1 week ago #155608 by LouisGac
LouisGac replied the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
after you changed from Popup to inline, did you saved the settings?
because it should then not show anymore the link to the editor, and you should see directly the editor itself.

Please Log in to join the conversation.

More
5 months 1 week ago #155613 by LouisGac
LouisGac replied the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
also, for you to understand why I think it's not directly related to the software update:

if any needed file would have been deleted during the process, you would have an exception or 500 error.

Here, you have a 404 error: it means that your web server doesn't understand anymore the URL. This URL itself didn't change, so the problem comes from somewhere else (server updates? change in config?)

Please Log in to join the conversation.

More
5 months 1 week ago #155622 by robertofranchi
robertofranchi replied the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
Below the answer..
1) I tryed to change (and save) from POPUP to INLINE but the system always open a POPUP
2) If I roolback to 2.64.7 the POPUP open. If I do the update do not open...
3) NO updated has been done to server (in each case if I rollback works..)

Now I'll ask to rollback again

I tryed that also the other use of Editor have the same problem (ad example: general parts of survey - 1.png and assessment - 2.png) give me tha same error... unable to locate tha page error 404)

I believe that the problem is about the editor... The things strange is that the problem is present in 2 different installation (one in linux environment and the second in windows environment)

Can you say me which configuration files are related to editor? So I check it

Thanks a lot
Attachments:

Please Log in to join the conversation.

More
5 months 1 week ago #155629 by LouisGac
LouisGac replied the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
if you can't switch from popup to inline editor, your installation has a deeper problem, hard to say what.

Please Log in to join the conversation.

More
5 months 2 days ago #155973 by robertofranchi
robertofranchi replied the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
Dear Luis...

We have try to solve the problem above mentioned without results...
We have built
- new server win2012 (no others applications installed)
- installed your package version limesurvey2.65.6+170615 download from site - installated without problem
- no plugin or other programs installed

When we try to access the editor in INLINE mode is all OK (see image 1)
When we try to access the editor in HTML mode is all OK (see image 2)
When we try to access the editor in POPUP mode A ERROR APPEAR (see image 3)
The error appear again..... also in a new free installation

Seems that the path will be not correctly built..
limesurvey-stg.valoreformazione.it/index...description_it/text/ [Descrizione:](it)/type/survey-desc/action/editsurveylocalesettings/sid/765575/gid/0/qid/0/lang/it

If I cancel "[Descrizione:](it)/" from path a new page with editor is open....

Note that the installation is clean and you can reply the situation quickly... I can give you access to admin panel to check the problem.
In our installation the same problem is present also with LINUX environment....

Can you check and give us some info about?
Beste regards

Please Log in to join the conversation.

More
5 months 2 days ago #155979 by robertofranchi
robertofranchi replied the topic: Error after update to version 2.65.2+170606 (from Version 2.64.7+170404)
Sorry, I've forgotten the image
Bye
Attachments:

Please Log in to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!